/**************************************************************************
 * 
 * Copyright (C) 2011 Nena Innovation AB. All rights reserved.
 * 
 **************************************************************************/


#ifndef GL_ES
#define mediump
#endif

attribute vec3 a_vertex;
attribute vec3 a_normal;
attribute vec2 a_texCoord;

uniform mat4 u_viewProj;
uniform mediump vec4 u_filter;

varying vec4 v_light;
varying vec2 v_texCoord;

void main()
{
  vec3 n = a_normal;
  vec2 t = a_texCoord;

  v_light = vec4(u_filter.rgb * a_normal, 1.0);
  
  gl_PointSize = 10.0;
  gl_Position = u_viewProj * vec4(a_vertex, 1.0);
}
