/**************************************************************************
 * 
 * Copyright (C) 2011 Nena Innovation AB. All rights reserved.
 * 
 **************************************************************************/


attribute vec3 a_vertex;
attribute vec3 a_normal;
attribute vec2 a_texCoord;

uniform mat4 u_viewProj;

varying vec4 v_light;

void main()
{
  vec3 n = a_normal;
  vec2 t = a_texCoord;

  v_light = vec4(a_normal.b, a_normal.b, a_normal.b, 1.0);
  
  gl_Position = u_viewProj * vec4(a_vertex, 1.0);
  gl_PointSize = 20.0;
}
