/**************************************************************************
 * 
 * Copyright (C) 2011 Nena Innovation AB. All rights reserved.
 * 
 **************************************************************************/


#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D u_sampler;
uniform vec3 u_lightCol;

varying vec2 v_texCoord;

void main()
{
  vec4 tex = texture2D(u_sampler, v_texCoord);
  gl_FragColor = vec4(u_lightCol*tex.xyz, tex.w);
}

