/**************************************************************************
 * 
 * Copyright (C) 2011 Nena Innovation AB. All rights reserved.
 * 
 **************************************************************************/


#ifdef GL_ES
precision mediump float;
#endif


uniform sampler2D u_sampler;

varying vec3 v_light;
varying vec2 v_texCoord;

void main()
{
  vec4 col = texture2D(u_sampler, v_texCoord);
  gl_FragColor = vec4(v_light*col.xyz, col.a);
}
