/**************************************************************************
 * 
 * Copyright (C) 2011 Nena Innovation AB. All rights reserved.
 * 
 **************************************************************************/

// Reflection shader for windows.


#ifdef GL_ES
precision mediump float;
#endif

uniform samplerCube u_sampler;

varying vec3 v_light;
varying vec3 v_normal;

void main()
{
  vec4 refl = textureCube(u_sampler, v_normal);
  gl_FragColor = vec4(refl.xyz*v_light, 1.0);
}
