/**************************************************************************
 * 
 * Copyright (C) 2011 Nena Innovation AB. All rights reserved.
 * 
 **************************************************************************/


uniform mat4 u_modelViewProjectionMatrix;

attribute vec3 a_vertex;
attribute vec2 a_texCoord;

varying vec2 v_texCoord;

void main()
{
  v_texCoord = a_texCoord.st;
	gl_Position = u_modelViewProjectionMatrix * vec4(a_vertex, 1.0);
}