/**************************************************************************
 * 
 * Copyright (C) 2011 Nena Innovation AB. All rights reserved.
 * 
 **************************************************************************/


#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D u_sampler;

varying float v_age;
varying vec2 v_texCoord;

void main()
{
  vec4 texColor = texture2D(u_sampler, v_texCoord);
  gl_FragColor = vec4(texColor.rgb, texColor.a * v_age);
}


