/**************************************************************************
 * 
 * Copyright (C) 2011 Nena Innovation AB. All rights reserved.
 * 
 **************************************************************************/


#ifdef GL_ES
precision mediump float;
#endif

uniform vec3 u_color;
uniform sampler2D u_sampler;

varying vec2 v_texCoord;

void main()
{
  vec4 tex = texture2D(u_sampler, v_texCoord);
  gl_FragColor = vec4(u_color, tex.w);
}

