/**************************************************************************
 * 
 * Copyright (C) 2011 Nena Innovation AB. All rights reserved.
 * 
 **************************************************************************/


#ifdef GL_ES
precision mediump float;
#endif

varying float LightIntensity;
uniform sampler2D TerrainTex;
varying vec2 TexCoord;

void main()
{
 	vec3 texcol = vec3(texture2D(TerrainTex, TexCoord.st));
	vec3 color = texcol * LightIntensity;
	gl_FragColor = vec4 (color, 1.0);
}