/**************************************************************************
 * 
 * Copyright (C) 2011 Nena Innovation AB. All rights reserved.
 * 
 **************************************************************************/


#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D u_sampler;
uniform vec4 u_color;
uniform vec4 u_bg_color;

varying vec2 v_texCoord;

void main()
{
  gl_FragColor = u_bg_color + u_color * texture2D(u_sampler, v_texCoord);
}

