/**************************************************************************
 * 
 * Copyright (C) 2011 Nena Innovation AB. All rights reserved.
 * 
 **************************************************************************/


attribute vec3 a_vertex;
attribute vec3 a_normal;
attribute vec2 a_texCoord;

uniform mat4 u_mvp;
uniform mat4 u_mv;
uniform vec3 u_lightDir;

varying float v_light;
varying vec2 v_texCoord;

void main()
{
  vec4 normal = u_mv * vec4(a_normal, 0.0);
  v_light = 0.4 + 0.6 * max(0.0, dot(normal.xyz, u_lightDir));
  v_texCoord = a_texCoord;
  gl_Position = u_mvp * vec4(a_vertex, 1.0);
}


