/**************************************************************************
 * 
 * Copyright (C) 2011 Nena Innovation AB. All rights reserved.
 * 
 **************************************************************************/


uniform mat4 u_modelViewProjectionMatrix;
uniform float u_anim;

attribute vec3 a_vertex;
attribute vec2 a_texCoord;
attribute vec3 a_tangent;
attribute vec3 a_normal;

varying vec2 v_texCoord;


void main()
{
 	gl_Position = u_modelViewProjectionMatrix*vec4(a_vertex, 1.0);
  v_texCoord.st = a_texCoord.st+vec2(0.0, u_anim);
}


