/**************************************************************************
 * 
 * Copyright (C) 2011 Nena Innovation AB. All rights reserved.
 *
 **************************************************************************/

#ifdef GL_ES
precision mediump float;
#endif

uniform vec3 u_lightCol;

uniform sampler2D u_sampler;

varying float v_light;
varying vec2 v_texCoord;

void main()
{
  vec4 col = texture2D(u_sampler, v_texCoord)*vec4(u_lightCol, 1.0);
  gl_FragColor = v_light*col;
}
