/**************************************************************************
 * 
 * Copyright (C) 2011 Nena Innovation AB. All rights reserved.
 * 
 **************************************************************************/


#version 120
#ifdef GL_ES
precision mediump float;
#else
#define mediump
#endif

uniform sampler2D u_sampler;
uniform mediump vec4 u_filter;

varying vec4 v_light;
varying vec2 v_texCoord;

void main()
{
  vec4 color = texture2D(u_sampler, gl_PointCoord);
  vec4 v = v_light;
  if (u_filter.w < 0.1 && v.r < 0.1 && v.g < 0.1 && v.b < 0.1)
    discard;
  
  v.a = 1.0;
  gl_FragColor = v * color;
}

