/**************************************************************************
 * 
 * Copyright (C) 2011 Nena Innovation AB. All rights reserved.
 * 
 **************************************************************************/


#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D u_sampler;
uniform vec4 u_color;
uniform vec4 u_texVec;

varying vec2 v_texCoord;
varying float v_lightskew;
varying float v_offset;

void main()
{
  float ofs = v_offset;
  vec2 v = v_texCoord.st;
  vec4 tv = u_texVec;
  float f = v.s - 0.5; // [-0.5 .. 0.5]
  vec2 o = vec2(0.5,0.5);
  vec2 d = tv.xy;
  f += v_lightskew*(1.0-v.t);
  vec2 tex = o + f*d + v_offset * tv.yx;
  float cld = texture2D(u_sampler, tex).r;
  float a = (sin(3.14*v.s)-0.3) * min(1.0, 4.0*(1.0-v.t)) * cld;
//  a = cld;
  vec4 c = u_color;
  gl_FragColor = /* u_color */ vec4(1.0,1.0,1.0,a-0.2);
}

