/**************************************************************************
 * 
 * Copyright (C) 2011 Nena Innovation AB. All rights reserved.
 * 
 **************************************************************************/


attribute vec3 a_vertex;
attribute vec3 a_data;

uniform mat4 u_modelViewMatrix;
uniform mat4 u_modelViewProjectionMatrix;

varying vec2 v_texCoord;
varying float v_lightIntensity;

void main()
{
  v_texCoord = a_data.st;
  gl_Position = u_modelViewProjectionMatrix * vec4(a_vertex, 1.0);
  v_lightIntensity = a_data[2];
  
}


