/**************************************************************************
 * 
 * Copyright (C) 2011 Nena Innovation AB. All rights reserved.
 * 
 **************************************************************************/


#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D u_sampler;
uniform vec3 u_light;

varying vec2 v_texcoord;

void main()
{
  vec4 col = texture2D(u_sampler, v_texcoord);
  gl_FragColor = vec4(u_light*col.rgb, col.a);
}

