/**************************************************************************
 * 
 * Copyright (C) 2011 Nena Innovation AB. All rights reserved.
 * 
 **************************************************************************/


uniform mat4 u_viewProj;

attribute vec3 a_vertex;
attribute vec2 a_texcoord;

varying vec2 v_texcoord;


void main()
{
  v_texcoord = a_texcoord;
  
  gl_Position = u_viewProj * vec4(a_vertex, 1.0);
}
