/**************************************************************************
 * 
 * Copyright (C) 2011 Nena Innovation AB. All rights reserved.
 * 
 **************************************************************************/


uniform mat4 u_viewProj;
uniform float u_age;

attribute vec3 a_vertex;
attribute vec3 a_vertex2;
attribute vec2 a_texCoord;

varying vec2 v_texCoord;

void main()
{
  v_texCoord = a_texCoord;
  vec3 pos = (u_age*a_vertex+(1.0-u_age)*a_vertex2);
  gl_Position = u_viewProj * vec4(pos, 1.0);
}
