/**************************************************************************
 * 
 * Copyright (C) 2011 Nena Innovation AB. All rights reserved.
 * 
 **************************************************************************/


#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D u_sampler;

uniform float u_texWeight;

varying vec2 v_texCoord;
varying vec3 v_color;

void main()
{
  vec4 col = texture2D(u_sampler, v_texCoord);
  gl_FragColor = vec4(v_color+u_texWeight*col.xyz, 1.0);
}